Name:           python-analytix
Version:        5.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A simple yet powerful SDK for the YouTube Analytics API.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/parafoxia/analytix
Source:         %{pypi_source analytix}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'analytix' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-analytix
Summary:        %{summary}

%description -n python3-analytix %_description


%prep
%autosetup -p1 -n analytix-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-analytix -f %{pyproject_files}


%changelog
%autochangelog